#!/bin/bash

: ${HADOOP_HOME:?"Need to set HADOOP_HOME non-empty"}

# COPY SOURCE FILES
echo "Copying Source Files ..."
cp src/HDFS_RAID/hdfs/server/namenode/* $HADOOP_HOME/src/contrib/raid/src/java/org/apache/hadoop/hdfs/server/namenode/
cp src/HDFS_RAID/DistributedRaidFileSystem.java $HADOOP_HOME/src/contrib/raid/src/java/org/apache/hadoop/hdfs/DistributedRaidFileSystem.java
cp -r src/HDFS_RAID/raid/* $HADOOP_HOME/src/contrib/raid/src/java/org/apache/hadoop/raid/
cp src/mapred/* $HADOOP_HOME/src/mapred/org/apache/hadoop/mapred/
cp src/raid-default.xml $HADOOP_HOME/src/contrib/raid/src/java/raid-default.xml

echo "Compiling ..."
cd $HADOOP_HOME
echo "Entering directory: `pwd`"
ant -Dversion=0.20 -Dcompile.native=true clean jar bin-package
echo "Entering directory: `pwd`"
# moving raid.jar to lib/
cp $HADOOP_HOME/build/contrib/raid/hadoop-0.20-raid.jar $HADOOP_HOME/lib/
cd - > /dev/null

echo "Copying Configure Files ..."
cp conf/* $HADOOP_HOME/conf/

echo "Copying Scripts ..."
cp bin/spreadPreEncStripeStore.sh $HADOOP_HOME/bin/
cp bin/rackAware.sh $HADOOP_HOME/

echo "Successfully Installed!"


